select 
    p.PROGRAM_ID as PK, 
    p.NAME as End_Title, 
    p.NAME as Name, 
    p.DESCRIPTION as Description, 
    program_type.TEXT as Type, 
    program_status.TEXT as Status
from
    PROGRAM p
    left outer join REFERENCE program_type on p.TYPE = program_type.SUBCATEGORY
    left outer join REFERENCE program_status on p.STATUS = program_status.SUBCATEGORY
where
    p.OWNER_AID = '[AA_ID]' and
    p.RECORD_STATE = 0 and
    program_type.CATEGORY = 'program_type' and
    program_status.CATEGORY = 'program_status'